> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar agrupamentos de expedição



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /expedicao
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /expedicao:
    get:
      tags:
        - Expedição
      summary: Listar agrupamentos de expedição
      operationId: ListarAgrupamentosAction
      parameters:
        - $ref: '#/components/parameters/idFormaEnvioAgrupamento'
        - $ref: '#/components/parameters/dataInicialAgrupamento'
        - $ref: '#/components/parameters/dataFinaAgrupamento'
        - $ref: '#/components/parameters/orderBy'
        - $ref: '#/components/parameters/get_expedicao_limit'
        - $ref: '#/components/parameters/get_expedicao_offset'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  itens:
                    type: array
                    items:
                      $ref: '#/components/schemas/ListagemAgrupamentosModel'
                  paginacao:
                    $ref: '#/components/schemas/PaginatedResultModel'
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    idFormaEnvioAgrupamento:
      name: idFormaEnvio
      in: query
      description: Pesquisa através do identificador da forma de envio
      required: false
      schema:
        type: integer
    dataInicialAgrupamento:
      name: dataInicial
      in: query
      description: Pesquisa através da data inicial dos agrupamentos
      required: false
      schema:
        type: string
        example: '2024-01-01'
    dataFinaAgrupamento:
      name: dataFinal
      in: query
      description: Pesquisa através da data final dos agrupamentos
      required: false
      schema:
        type: string
        example: '2024-01-01'
    orderBy:
      name: orderBy
      in: query
      description: |-
        Define a ordenação da listagem por ordem crescente ou decrescente
        - asc - Crescente
        - desc - Descrescente
      required: false
      schema:
        enum:
          - asc
          - desc
      x-enumDescriptions:
        - asc - Crescente
        - desc - Descrescente
    get_expedicao_limit:
      name: limit
      in: query
      description: Limite da paginação
      required: false
      schema:
        type: integer
        default: 100
    get_expedicao_offset:
      name: offset
      in: query
      description: Offset da paginação
      required: false
      schema:
        type: integer
        default: 0
  schemas:
    ListagemAgrupamentosModel:
      title: ' '
      description: ' '
      properties:
        id:
          type: integer
        identificacao:
          type: string
        data:
          type: string
        quantidadeObjetos:
          type: integer
        formaEnvio:
          $ref: '#/components/schemas/FormaEnvioResponseModel'
      type: object
    PaginatedResultModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            limit:
              type: integer
            offset:
              type: integer
            total:
              type: integer
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    FormaEnvioResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
            nome:
              type: string
              nullable: true
          type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````